summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2013-06-21 08:41:27 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2013-06-21 08:41:27 +0000
commit00b2eadd194011a7a44a3a623adcd5f4625b92b0 (patch)
treea91a597941df8460e2885288871d58bcb89f017a
parent868cab577683d862164cadd11b6189452bcb13a1 (diff)
parent12111c495d2a4557f061ec6f519659095ee0fc72 (diff)
downloadmorphs-00b2eadd194011a7a44a3a623adcd5f4625b92b0.tar.gz
Merge branch 'liw/release-deploys'
Reviewed-by: Daniel Silverstone
-rwxr-xr-xrelease-deploy-rawdisk27
1 files changed, 27 insertions, 0 deletions
diff --git a/release-deploy-rawdisk b/release-deploy-rawdisk
new file mode 100755
index 0000000..cee1c8e
--- /dev/null
+++ b/release-deploy-rawdisk
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Deploy systems to rawdisk images for release
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -eu
+
+for system in "$@"
+do
+ morph --no-git-update deploy rawdisk "$system" "${system}.img" \
+ DISK_SIZE=4G
+done